メインコンテンツへスキップ
GET
/
events
/
2026-03
/
event-definitions
Retrieve event definitions
curl --request GET \
  --url https://api.hubapi.com/events/2026-03/event-definitions \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "archived": true,
      "associations": [
        {
          "allowsCustomLabels": true,
          "fromObjectTypeId": "<string>",
          "hasAllAssociatedObjects": true,
          "hasCascadingDeletes": true,
          "hasUserEnforcedMaxFromObjectIds": true,
          "hasUserEnforcedMaxToObjectIds": true,
          "hidden": true,
          "id": 123,
          "inverseAllowsCustomLabels": true,
          "inverseHasAllAssociatedObjects": true,
          "inverseId": 123,
          "inverseName": "<string>",
          "isDefault": true,
          "isInversePrimary": true,
          "isPrimary": true,
          "maxFromObjectIds": 123,
          "maxToObjectIds": 123,
          "name": "<string>",
          "portalUniqueIdentifier": "<string>",
          "readOnly": true,
          "toObjectTypeId": "<string>",
          "inverseLabel": "<string>",
          "label": "<string>"
        }
      ],
      "fullyQualifiedName": "<string>",
      "id": "<string>",
      "labels": {
        "singular": "<string>",
        "plural": "<string>"
      },
      "name": "<string>",
      "objectTypeId": "<string>",
      "properties": [
        {
          "description": "<string>",
          "fieldType": "<string>",
          "groupName": "<string>",
          "label": "<string>",
          "name": "<string>",
          "options": [
            {
              "hidden": true,
              "label": "<string>",
              "value": "<string>",
              "description": "<string>",
              "displayOrder": 123
            }
          ],
          "type": "<string>",
          "archived": true,
          "archivedAt": "2023-11-07T05:31:56Z",
          "calculated": true,
          "calculationFormula": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "createdUserId": "<string>",
          "currencyPropertyName": "<string>",
          "displayOrder": 123,
          "externalOptions": true,
          "formField": true,
          "hasUniqueValue": true,
          "hidden": false,
          "hubspotDefined": true,
          "modificationMetadata": {
            "archivable": true,
            "readOnlyDefinition": true,
            "readOnlyValue": true,
            "readOnlyOptions": true
          },
          "referencedObjectType": "<string>",
          "sensitiveDataCategories": [
            "<string>"
          ],
          "showCurrencySymbol": true,
          "updatedAt": "2023-11-07T05:31:56Z",
          "updatedUserId": "<string>"
        }
      ],
      "comboEventRules": {
        "composingRules": [
          {
            "count": 123,
            "eventTypeId": "<string>",
            "propertyFilters": [
              {
                "filterType": "PROPERTY",
                "operation": {
                  "includeObjectsWithNoValueSet": true,
                  "operationType": "<string>",
                  "operatorName": "<string>",
                  "propertyType": "bool",
                  "value": true,
                  "defaultValue": "<string>",
                  "renderSpec": "<string>"
                },
                "property": "<string>",
                "context": {
                  "objectTypeId": "<string>"
                },
                "filterInsightsId": 123,
                "frameworkFilterId": 123
              }
            ],
            "lookbackWindowDays": 123
          }
        ],
        "ruleBranches": "<array>"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "createdUserId": 123,
      "customMatchingId": {
        "primaryObjectRule": {
          "eventPropertyName": "<string>",
          "targetObjectPropertyName": "<string>"
        }
      },
      "description": "<string>",
      "detailTemplate": "<string>",
      "headerTemplate": "<string>",
      "primaryObject": "<string>",
      "primaryObjectId": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedUserId": 123
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

includeProperties
boolean
limit
integer<int32>

The maximum number of results to display per page.

searchString
string
sortOrder
string

レスポンス

successful operation

results
object[]
必須
total
integer<int32>
必須
paging
object
Last modified on April 17, 2026